CREATE TABLE t1(c1);
INSERT INTO t1 VALUES(123);

CREATE TABLE t2(c2);
INSERT INTO t2 VALUES(123);

CREATE TABLE t3(c3,c4);
INSERT INTO t3 VALUES(123,2);

CREATE VIEW v1 AS SELECT c3 FROM t3;
CREATE VIEW v2 AS SELECT c3 FROM t3 ORDER BY c4;

SELECT * FROM t1, t2
WHERE c1=(SELECT 123 INTERSECT SELECT c2 FROM v1);

SELECT * FROM t1, t2
WHERE c1=(SELECT 123 INTERSECT SELECT c2 FROM v2);